<template>
	<div>
		<VueSlickCarousel :arrows="false" :dots="false" ref="carousel">
			<banner 
				imagen="img/banners/inicio.jpg"
				titulo="Soluciones en tecnología aerea"
				descripcion="SOLUCIONES CON DRONES A MANOS DE EXPERTOS"
				enlace="" />
			<banner 
				imagen="img/banners/seguridad_drones.jpg"
				titulo="Seguridad drones as first responders"
				descripcion="SEGURIDAD EN OTRO NIVEL"
				enlace="" />
			<banner 
				imagen="img/banners/tecnologia_e_ingenieria.jpg"
				titulo="Técnologia e Ingenieria"
				descripcion="INNOVACIÓN A TU SERVICIO"
				enlace="" />
			<banner 
				imagen="img/banners/cursos.jpg"
				titulo="Cursos para piloto"
				descripcion="BIENVENIDO AL TRABA JO DEL FUTURO"
				enlace="" />
			<banner 
				imagen="img/banners/fotos_e_inspeccion.jpg"
				titulo="Fotografía e inspección"
				descripcion="EL MUNDO DESDE OTRA PERSPECTIVA"
				enlace="" />
			<banner 
				imagen="img/banners/monitoreo_de_riesgos.png"
				titulo="Monitoreo de riesgos"
				descripcion="REDUCE LOS RIESGOS E INCREMENTA LA RESILIENCIA DE LA OPERACIÓN"
				enlace="" />
			<banner 
				imagen="img/banners/fotografia.png"
				titulo="Fotografía e inspección"
				descripcion="GENERAMOS IMÁGENES Y REPORTES DE ALTO VALOR PARA NUESTROS CLIENTES."
				enlace="" />
	    </VueSlickCarousel>
	    <button class="absolute left-2 md:left-7 boton-anterior text-white text-xl md:text-4xl" @click="banner_anterior">
	    	<i class="fa fa-angle-left"></i>
	    </button>
	    <button class="absolute right-2 md:right-7 boton-siguiente text-white text-xl md:text-4xl" @click="banner_siguiente">
	    	<i class="fa fa-angle-right"></i>
	    </button>
	</div>
</template>
<script>
import VueSlickCarousel from 'vue-slick-carousel';
import 'vue-slick-carousel/dist/vue-slick-carousel.css';
import 'vue-slick-carousel/dist/vue-slick-carousel-theme.css';
import Banner from './Banner';
export default {
  name: 'BannersDePortada',
  components: { VueSlickCarousel, Banner },
  data() {
    return {
    };
  },
  methods: {
  	banner_anterior(){
  		this.$refs.carousel.prev();
  	},
  	banner_siguiente(){
  		this.$refs.carousel.next()
  	}
  }
};
</script>
<style lang="css" scoped>
	.boton-anterior{
		top: calc(50% - -32px);
	}
	.boton-siguiente{
		top: calc(50% - -32px);
	}
</style>